package com.gic.haoban.manage.service.service.chat;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityInviteLogDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityInviteLogQDTO;

import java.util.List;

/**
 * 社群邀请有礼邀请日志表(TabHaobanGroupChatActivityInviteLog)表服务接口
 *
 * @author makejava
 * @since 2024-09-27 16:09:56
 */
public interface GroupChatActivityInviteLogService {

    /**
     * 查询C端邀请人数据
     *
     * @param groupChatActivityInviteLogQDTO
     * @return
     */
    List<GroupChatActivityInviteLogDTO> queryMaxBatchInviteLog(GroupChatActivityInviteLogQDTO groupChatActivityInviteLogQDTO);

    /**
     * 查询奖励明细
     *
     * @param inviteLogQDTO
     * @return
     */
    Page<GroupChatActivityInviteLogDTO> queryInviteLogDetails(GroupChatActivityInviteLogQDTO inviteLogQDTO);
}
